Subject: Re: [PATCH v2 net-next 3/5] net: vxlan: enable local checksum offload

From: Edward Cree <[email-masked]>
Date: Fri, 8 Jan 2016 15:39:48 +0000

On 08/01/16 03:46, Alexander Duyck wrote:
> So I just tried testing your patches and as it turns out you are still
> missing some bits.  In this patch for instance the calls to
> udp_tunnel_xmit_skb and udp_tunnel6_xmit skb need to be updated so
> that you pass false for the last parameter and allow the use of your
> udp_set_csum modifications.
>
> - Alex
Are you remembering to enable outer checksums on your vxlan tunnel?  It's
 the vxflags & VXLAN_F_UDP_CSUM check, and to enable it you need a recent
 iproute2 so you can use the 'udpcsum' option when creating the vxlan device.
It would be nice if that could just default to enabled now that we have LCO,
 but I don't think we can change that now (ABIs set in stone and all that),
 so I think it would have to be iproute2 that turned it on by default.

-ed